> For the complete documentation index, see [llms.txt](https://docs.kontinent.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kontinent.ai/documentation/dokumentation/models-and-routing/models.md).

# Modelle & Souveränität

Modelle werden in der Form `provider/model` identifiziert, z. B. `mistral/mistral-large-latest`. Listen Sie alles auf, was Ihrer Organisation zur Verfügung steht, mit `GET /v1/models`:

```json
{
  "object": "list",
  "data": [
    {
      "id": "mistral/mistral-large-latest",
      "object": "model",
      "owned_by": "mistral",
      "kind": "chat",
      "context_length": 128000,
      "sovereignty": "strict",
      "pricing": {
        "input_micro_eur_per_mtok": 1800000,
        "output_micro_eur_per_mtok": 5400000
      }
    }
  ]
}
```

## Souveränitätsstufen

Jedes Modell deklariert eine `sovereignty`-Stufe, damit Sie wählen können, wie streng Ihre Anforderungen an die Datenresidenz sind:

| Stufe       | Bedeutung                                                                                      |
| ----------- | ---------------------------------------------------------------------------------------------- |
| `strict`    | Bedient von einem **EU-eigenen** Anbieter.                                                     |
| `pragmatic` | Bedient aus einer **EU-Region** eines Anbieters mit einer Muttergesellschaft außerhalb der EU. |

{% hint style="info" %}
Die Stufe wird bei jedem Modell zurückgegeben. So können Sie `strict` verlangen, wo der Anwendungsfall einen EU-eigenen Anbieter erfordert, und `pragmatic` anderswo zulassen. Siehe [Maximaler Datenschutz](/documentation/dokumentation/privacy/data-privacy.md).
{% endhint %}

## Modellarten

| Art         | Endpunkt                    |
| ----------- | --------------------------- |
| `chat`      | `POST /v1/chat/completions` |
| `embedding` | `POST /v1/embeddings`       |

Ein Embedding-Modell an den Chat-Endpunkt zu senden (oder umgekehrt) wird abgelehnt; eine unbekannte oder deaktivierte ID liefert `404 model_not_found`.

## Preise und die Geldeinheit

Geld ist überall in Kontinent **ganzzahliges Mikro-EUR**, sodass es keine Fließkomma-Rundung in der Abrechnung gibt:

> 1 EUR = 1.000.000 µEUR

Preise werden **pro Million Tokens** angegeben, getrennt nach Eingabe- und Ausgaberate, und bei jedem Modell zurückgegeben, damit Sie die Kosten vor dem Senden kennen. Im Beispiel oben kostet die Eingabe `1.800.000` µEUR/Mtok, das sind **1,80 € pro Million Eingabe-Tokens**, und die Ausgabe **5,40 € pro Million Ausgabe-Tokens**. Sie zahlen nur für die Tokens, die eine Anfrage tatsächlich verbraucht.

Siehe [Rate-Limits & Guthaben](/documentation/dokumentation/features/rate-limits.md), wie Ausgaben gemessen werden.

## Verwandte Seiten

{% content-ref url="/pages/1U0JLQ6A6ZWMnoz8dGsI" %}
[API-Referenz](/documentation/dokumentation/reference/api-reference.md)
{% endcontent-ref %}

{% content-ref url="/pages/S9WX843eWYqMv0eRHDKE" %}
[Preis & Performance](/documentation/dokumentation/models-and-routing/price-performance.md)
{% endcontent-ref %}

{% content-ref url="/pages/njsb4jgBbD16Q2DIPIur" %}
[Maximaler Datenschutz](/documentation/dokumentation/privacy/data-privacy.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kontinent.ai/documentation/dokumentation/models-and-routing/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
